Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface TestCase

All Known Implementing Classes:
  TestCaseLuceneImpl

    public interface TestCase

Basic POJO to hold information about a TestCase across builds.

Method Summary
`String` | `getActualMethodName()`
`List` | `getAllTestBuildNumbers()`
`double` | `getAverageDurationInSeconds()`
`double` | `getAverageTimeToFix()`
`Build` | `getBuild()` The build for which this test case exists in
`String` | `getClassName()`
`int` | `getCreatedInBuild()`
`List` | `getFailedTestBuildNumbers()`
`List` | `getFailurePeriods()`
`String` | `getKey()` The Key of the test case, in format: a.c.X:testFoo
`String` | `getMethodName()`
`List` | `getSuccessfulTestBuildNumbers()`
`double` | `getSuccessPercentage()`
`SortedMap` | `getTestResults()` Get a map of test case result objects.
`int` | `getTotalFailures()`
`int` | `getTotalNumberOfResults()`
`int` | `getTotalSuccesses()`

Method Detail

### getBuild

    Build getBuild()

  The build for which this test case exists in

  Returns:
    `Build`

### getKey

    String getKey()

  The Key of the test case, in format: a.c.X:testFoo

  Returns:
    `String` representing key

### getTotalNumberOfResults

    int getTotalNumberOfResults()

  Returns:
    number of times test case ran - i.e. number of builds existed in.

### getTotalFailures

    int getTotalFailures()

  Returns:
    how many times it failed

### getTotalSuccesses

    int getTotalSuccesses()

  Returns:
    how many times it succeeded.

### getCreatedInBuild

    int getCreatedInBuild()

  Returns:
    which build number when this test case first appeared.

### getSuccessPercentage

    double getSuccessPercentage()

  Returns:
    percentage of successes to total tests

### getActualMethodName

    String getActualMethodName()

  Returns:
    the method name

### getMethodName

    String getMethodName()

  Returns:
    `String` representing nice test description derived from the testCase method name

### getClassName

    String getClassName()

  Returns:
    `String` of the full class path for which this test case exists in.

### getAllTestBuildNumbers

    List getAllTestBuildNumbers()

  Returns:
    `List` of `Integer` build numbers in which this test case occurred.

### getSuccessfulTestBuildNumbers

    List getSuccessfulTestBuildNumbers()

  Returns:
    `List` of `Integer` representing all sucessful builds numbers for this test case.

### getFailedTestBuildNumbers

    List getFailedTestBuildNumbers()

  Returns:
    `List` of `Integer` represnting all failed build numbers for this test case.

### getFailurePeriods

    List getFailurePeriods()

  Returns:
    `List` of TestCaseFailurePeriod objects.

### getTestResults

    SortedMap getTestResults()

  Get a map of test case result objects.

  Returns:
    `SortedMap` containing the actual test case result objects. key - `Integer` of build number for the test case result value - `TestCaseResult` representing one run of the test case.

### getAverageDurationInSeconds

    double getAverageDurationInSeconds()

### getAverageTimeToFix

    double getAverageTimeToFix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.